package com.ruoyi.powerdistribution.mapper;

import java.util.List;
import com.ruoyi.powerdistribution.domain.PdmWorkPlan;
import com.ruoyi.powerdistribution.domain.dto.PdmWorkPlanDTO;

/**
 * 作业计划Mapper接口
 *
 * @author ruoyi
 * @date 2024-12-01
 */
public interface PdmWorkPlanMapper
{
    /**
     * 查询作业计划
     *
     * @param id 作业计划主键
     * @return 作业计划
     */
    public PdmWorkPlan selectPdmWorkPlanById(Long id);

    /**
     * 查询作业计划列表
     *
     * @param pdmWorkPlan 作业计划
     * @return 作业计划集合
     */
    public List<PdmWorkPlan> selectPdmWorkPlanList(PdmWorkPlanDTO pdmWorkPlan);

    /**
     * 新增作业计划
     *
     * @param pdmWorkPlan 作业计划
     * @return 结果
     */
    public int insertPdmWorkPlan(PdmWorkPlan pdmWorkPlan);

    /**
     * 修改作业计划
     *
     * @param pdmWorkPlan 作业计划
     * @return 结果
     */
    public int updatePdmWorkPlan(PdmWorkPlan pdmWorkPlan);

    /**
     * 删除作业计划
     *
     * @param id 作业计划主键
     * @return 结果
     */
    public int deletePdmWorkPlanById(Long id);

    /**
     * 批量删除作业计划
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePdmWorkPlanByIds(Long[] ids);
}
